complexType "InstrumentSet"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 elements
Defined: | globally in fpml-riskdef-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (underlyingAsset? | curveInstrument?)*
</...>

Content Model Elements (2):

  curveInstrument, underlyingAsset

All Direct / Indirect Based Elements (1):

  instrumentSet

Known Usage Locations

- As direct type of elements (1):
  instrumentSet

Annotation
A collection of instruments usable for quotation purposes. In future releases, quotable derivative assets may be added after the underlying asset.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="InstrumentSet"> <xsd:sequence maxOccurs="unbounded" minOccurs="0"> <xsd:choice> <xsd:element minOccurs="0" ref="underlyingAsset"/> <xsd:element minOccurs="0" ref="curveInstrument"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
curveInstrument

  Type: | Asset, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 6 elements

  A collection of underlying assets (bonds, discount instruments, futures, etc.) that can be used as a basis for benchmark quotes.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="curveInstrument"/>

underlyingAsset

  Type: | Asset, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 12 elements

  A collection of underlying assets (bonds, discount instruments, futures, etc.) that can be used as a basis for benchmark quotes.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="underlyingAsset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.